#pragma once

#include "../LocalParticipant.h"

namespace RoboidControl {
namespace Windows {

class LocalParticipant : public RoboidControl::LocalParticipant {
 public:
  void Setup(int localPort, const char* remoteIpAddress, int remotePort);
  void Receive();
  bool Send(Participant* remoteParticipant, int bufferSize);
  bool Publish(IMessage* msg);

 protected:
 #if defined(_WIN32) || defined(_WIN64)
  SOCKET sock;
  #endif
};

}  // namespace Windows
}  // namespace RoboidControl
